Subject: [Bug 213] Spec inconsistent on PROPFIND/Depth:infinity

From: [email-masked]
Date: Sat, 4 Feb 2006 10:48:22 -0800

http://ietf.cse.ucsc.edu:8080/bugzilla/show_bug.cgi?id=213

------- Additional Comments From [email-masked]  2006-02-04 10:48 -------
A use case for supporting depth-infinity PROPFIND occurs in fine-grained 
repositories (such as those defined in JSR-170), in which individual XML nodes 
are modeled as resources.  In this case, although a Depth:infinity PROPFIND on 
the root of the entire repository would probably be rejected, a Depth:infinity 
PROPFIND on the root node of an XML document will be very common (since one 
wouldn't want to do a separate PROPFIND for every XML node to retrieve an XML 
document).

To make this useful for a generic client, it would be desireable to have a 
DAV:can-depth-infinity-propfind property on a collection, so that a generic 
client can identify those cases where it can retrieve the rest of that sub-tree 
in one request.

------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.
You are on the CC list for the bug, or are watching someone who is.